#!/usr/bin/perl

if ($#ARGV < 1) {
    print "Usage: $0 package changelog_file\n";
    exit;
};

open FILE,"<$ARGV[1]" || die "Error can't open: $ARGV[1]\n";
@chlog=<FILE>;
close FILE;

$pack="/$ARGV[0].tgz";
$date=$chlog[0];

for ($i=0;$i<$#chlog;$i++) {
    $line=$chlog[$i];
    if ($line =~ /^\-/) {
	$date=$chlog[$i+1];
    }
    if ($line =~ /$pack/) {
	print "$date $line";
        while ($chlog[$i+1] =~ /^ /) {
	    print $chlog[$i+1];
	    $i++;
	}
    }
}
